POST/projects/api/v3/forms/{formID}/copy.json

Copy a form

Path Params

  • Name
    formID
    Type
    integer
    required
    Description

Body Params

CopyRequest outter request for copying a form

    • Name
      form
      Type
      object
      Description
      CopyForm contains information on where and what to copy from a form

    Responses

    • Code
      200
      Type
      object
      Schema
      Description
      200 OK
      FormsResponse contains information about a group of forms.
    • Code
      400
      Type
      object
      Schema
      Description
      400 Bad Request
      ErrorResponse defines how []Error should be marshaled to JSON.
    • Code
      403
      Type
      object
      Schema
      Description
      403 Forbidden
      ErrorResponse defines how []Error should be marshaled to JSON.
    • Code
      404
      Description
      404 Not Found No Data

    Examples

    200 OK

    FormsResponse
    {  "forms": [    {      "allowTeamworkBranding": true,      "backgroundColor": "string",      "confirmationMessage": "string",      "content": {        "banner": {          "primaryColor": "string",          "url": "string",          "x": 0,          "y": 0        },        "definition": "string",        "description": "string",        "logo": {          "url": "string"        },